/**
 * @author Toru Nagashima
 * @copyright 2015 Toru Nagashima. All rights reserved.
 * See LICENSE file in root directory for full license.
 */
"use strict";

var _Object$keys = require("babel-runtime/core-js/object/keys")["default"];

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = readTasks;

var _path = require("path");

/**
 * Reads `package.json` in current directry, and gets all npm-scripts names.
 * If `package.json` has not found, throws an error.
 *
 * @returns {string[]} npm-scripts names.
 * @private
 */

function readTasks() {
  var packageJsonPath = (0, _path.join)(process.cwd(), "package.json");
  var packageJson = require(packageJsonPath);
  var scripts = packageJson && packageJson.scripts;
  if (typeof scripts === "object" && !Array.isArray(scripts)) {
    return _Object$keys(scripts);
  }
  return [];
}

module.exports = exports["default"];