/**
 * @author Toru Nagashima
 * @copyright 2015 Toru Nagashima. All rights reserved.
 * See LICENSE file in root directory for full license.
 */
"use strict";

var _Object$create = require("babel-runtime/core-js/object/create")["default"];

var _Promise = require("babel-runtime/core-js/promise")["default"];

var _interopRequireDefault = require("babel-runtime/helpers/interop-require-default")["default"];

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports["default"] = whichNpm;

var _which = require("which");

var _which2 = _interopRequireDefault(_which);

var cache = _Object$create(null);

/**
 * Gets a file path of `npm` command.
 *
 * @returns {Promise<string>}
 *   A promise object which becomes fullfilled when it got a file path of `npm` command.
 * @private
 */

function whichNpm() {
    var cwd = process.cwd();
    if (cache[cwd] == null) {
        cache[cwd] = new _Promise(function (resolve, reject) {
            (0, _which2["default"])("npm", function (err, npmPath) {
                if (err != null) {
                    reject(err);
                } else {
                    resolve(npmPath);
                }
            });
        });
    }

    return cache[cwd];
}

module.exports = exports["default"];